Page MenuHomePhabricator

Update wikibase logic to queue a deferred update for cleanup after updating/delete terms in terms store
Closed, DeclinedPublic

Event Timeline

alaa_wmde renamed this task from update wikibase logic to queue post-request job for cleanup after updating/delete terms in terms store to update wikibase logic to queue a deferred update for cleanup after updating/delete terms in terms store.May 22 2019, 9:20 AM
alaa_wmde renamed this task from update wikibase logic to queue a deferred update for cleanup after updating/delete terms in terms store to Update wikibase logic to queue a deferred update for cleanup after updating/delete terms in terms store.Jun 4 2019, 10:15 AM

I think we should decline this task – it turns out Wikibase already defers the whole terms update, so there’s no point in deferring just the cleanup part even further IMHO. (See also T225084#5240930.)

hoo removed hoo as the assignee of this task.Jun 6 2019, 10:26 PM
hoo moved this task from In Progress to In Review on the Wikidata wb_terms Trailblazing board.
hoo added a subscriber: hoo.

Moving this to review, so that we can decide if we want to abandon this (probably, yes).

I agree this is probably to be abandoned. Moving it to Stalled for now until we test our logic after we keep transaction control to the user of the store (as mentioned in T225084#5240930) and then see how it goes. We can then abandon this if we do not encounter any issues with transactions.

I agree this is probably to be abandoned. Moving it to Stalled for now until we test our logic after we keep transaction control to the user of the store (as mentioned in T225084#5240930) and then see how it goes. We can then abandon this if we do not encounter any issues with transactions.

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:37 PM
alaa_wmde closed this task as Declined.Jul 31 2019, 10:53 AM
alaa_wmde moved this task from in progress to hold on the Wikidata board.
alaa_wmde moved this task from Stalled to Done on the Wikidata wb_terms Trailblazing board.

Not needed